package config

const (
	// This is the absolute virtual minimum address we can load a program at, see `sysctl vm.mmap_min_addr`.
	MinAddress = 0x10000

	// The base address is the virtual address for our ELF file.
	BaseAddress = 0x40 * MinAddress

	// Align is the alignment of the sections and it must be a multiple of the page size.
	Align = 0x1000
)
