package register

import (
	"git.urbach.dev/cli/q/src/asm"
	"git.urbach.dev/cli/q/src/cpu"
)

func (f *Machine) MemoryRegister(mnemonic asm.Mnemonic, a asm.Memory, b cpu.Register) {
	f.Assembler.MemoryRegister(mnemonic, a, b)

	if mnemonic == asm.LOAD {
		f.UseRegister(b)
	}

	f.postInstruction()
}
